# Class CIM_DatabaseStorage
extends CIM_Component

Databases are comprised of a collection of logical storage areas that are represented by instances of the DatabaseStorageArea class. The DatabaseStorage class represents the relationship between a CommonDatabase and the storage areas that it uses.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_DatabaseStorage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | Databases are comprised of a collection of logical storage areas that are represented by instances of the DatabaseStorageArea class. The DatabaseStorage class represents the relationship between a CommonDatabase and the storage areas that it uses.
UMLPackagePath | string | CIM::Database::Storage
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_DatabaseStorage | CIM_CommonDatabase
PartComponent | CIM_DatabaseStorage | CIM_DatabaseStorageArea

## Class Methods